package com.liquidnet.service.galaxy.dto.param;

import com.liquidnet.commons.lang.util.JsonUtils;
import com.liquidnet.service.galaxy.dto.NftInfoDto;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: GalaxyQueryNftInfoRespDto
 * @Package com.liquidnet.service.galaxy.dto.param
 * @Copyright: LightNet @ Copyright (c) 2022
 * @date 2022/4/8 16:27
 */
@ApiModel(value = "GalaxyQueryNftInfoRespDto", description = "NFT信息查询")
@Data
public class GalaxyQueryNftInfoRespDto extends NftInfoDto {

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }

    private static final GalaxyQueryNftInfoRespDto obj = new GalaxyQueryNftInfoRespDto();

    public static GalaxyQueryNftInfoRespDto getNew() {
        try {
            return (GalaxyQueryNftInfoRespDto) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new GalaxyQueryNftInfoRespDto();
        }
    }
}